> For the complete documentation index, see [llms.txt](https://docs.alignlabs.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alignlabs.dev/align-api/offramp-transfers/simulate-sandbox.md).

# Simulate (Sandbox)

## POST /v0/customers/{customer\_id}/offramp-transfer/simulate

> Simulate Offramp Transfer Actions

```json
{"openapi":"3.0.0","info":{"title":"Offramp API","version":"0"},"servers":[{"url":"https://api.alignlabs.dev","description":"Production server"},{"url":"https://api-sandbox.alignlabs.dev","description":"Sandbox server"}],"paths":{"/v0/customers/{customer_id}/offramp-transfer/simulate":{"post":{"summary":"Simulate Offramp Transfer Actions","parameters":[{"name":"customer_id","in":"path","description":"The unique identifier of the customer","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"Api-Key","in":"header","description":"Your secret API key, available in the developer dashboard. Include this header on every request to authenticate your application.","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["action","transfer_id"],"properties":{"action":{"type":"string","enum":["complete_transfer"],"description":"The action to simulate"},"transfer_id":{"type":"string","format":"uuid","description":"The ID of the transfer to simulate action on"}}}}}},"responses":{"200":{"description":"Successful simulation response","content":{"application/json":{"schema":{"type":"object","required":["message"],"properties":{"message":{"type":"string","description":"A message describing the result of the simulation"}}}}}}}}}}}
```
